Name:           python-rand-engine
Version:        0.3.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Rand Engine v2. Package with some methods to generate random data in different formats. Great to mock data while testing or developing.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/rand-engine/
Source:         %{pypi_source rand_engine}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rand-engine' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rand-engine
Summary:        %{summary}

%description -n python3-rand-engine %_description


%prep
%autosetup -p1 -n rand_engine-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rand-engine -f %{pyproject_files}


%changelog
%autochangelog